## ide-environment ide-environment |

## Functions

IdeEnvironment * | ide_environment_new ()
void | ide_environment_setenv ()
const gchar * | ide_environment_getenv ()
gchar ** | ide_environment_get_environ ()
void | ide_environment_append ()
void | ide_environment_remove ()
IdeEnvironment * | ide_environment_copy ()

## Types and Values

#define | IDE_TYPE_ENVIRONMENT
| IdeEnvironment

## Description

## Functions

### ide_environment_new ()

    IdeEnvironment *
    ide_environment_new (void);

### ide_environment_setenv ()

    void
    ide_environment_setenv (IdeEnvironment *self,
                            const gchar *key,
                            const gchar *value);

### ide_environment_getenv ()

    const gchar *
    ide_environment_getenv (IdeEnvironment *self,
                            const gchar *key);

### ide_environment_get_environ ()

    gchar **
    ide_environment_get_environ (IdeEnvironment *self);

Gets the environment as a set of key=value pairs, suitable for use in various GLib process functions.

#### Parameters

self | An IdeEnvironment |

#### Returns

A newly allocated string array.

[transfer full]

### ide_environment_append ()

    void
    ide_environment_append (IdeEnvironment *self,
                            IdeEnvironmentVariable *variable);

### ide_environment_remove ()

    void
    ide_environment_remove (IdeEnvironment *self,
                            IdeEnvironmentVariable *variable);

### ide_environment_copy ()

    IdeEnvironment *
    ide_environment_copy (IdeEnvironment *self);

Copies the contents of IdeEnvironment into a newly allocated IdeEnvironment.

#### Parameters

self | An IdeEnvironment |

#### Returns

An IdeEnvironment.

[transfer full]

## Types and Values

### IDE_TYPE_ENVIRONMENT

    #define IDE_TYPE_ENVIRONMENT (ide_environment_get_type())

### IdeEnvironment

    typedef struct _IdeEnvironment IdeEnvironment;